Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class StubBindException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.compoze.collab.util.NestedException
                  com.compoze.collab.CollaborationException
                      com.compoze.collab.StubException
                          com.compoze.collab.StubBindException

All Implemented Interfaces:
  java.io.Serializable

public class StubBindException
extends StubException

Exceptions of this class represent problems connecting to or communicating with a stub.

See Also:
  Serialized Form

Constructor Summary
`StubBindException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key)` Constructs a StubBindException.
`StubBindException(com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key, java.lang.Object param)` Constructs a StubBindException.
`StubBindException(java.lang.Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key)` Constructs a StubBindException.
`StubBindException(java.lang.Throwable t, com.compoze.collab.spi.Context ctx, com.compoze.collab.spi.ExceptionResourceKey key, java.lang.Object param)` Constructs a StubBindException.

Methods inherited from class com.compoze.collab.CollaborationException
`getAdminMessage, getAdminResolution, getBaseKey, getKey, getProgrammerMessage, getProgrammerResolution, getUserMessage, getUserResolution, main`

Methods inherited from class com.compoze.collab.util.NestedException
`getNestedException, getStackTraceString, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StubBindException

    public StubBindException(com.compoze.collab.spi.Context ctx,
                             com.compoze.collab.spi.ExceptionResourceKey key)

  Constructs a StubBindException.

Parameters:
  `ctx` -
  `key` -

### StubBindException

    public StubBindException(com.compoze.collab.spi.Context ctx,
                             com.compoze.collab.spi.ExceptionResourceKey key,
                             java.lang.Object param)

  Constructs a StubBindException.

Parameters:
  `ctx` -
  `key` -
  `param` -

### StubBindException

    public StubBindException(java.lang.Throwable t,
                             com.compoze.collab.spi.Context ctx,
                             com.compoze.collab.spi.ExceptionResourceKey key)

  Constructs a StubBindException.

Parameters:
  `t` -
  `ctx` -
  `key` -

### StubBindException

    public StubBindException(java.lang.Throwable t,
                             com.compoze.collab.spi.Context ctx,
                             com.compoze.collab.spi.ExceptionResourceKey key,
                             java.lang.Object param)

  Constructs a StubBindException.

Parameters:
  `t` -
  `ctx` -
  `key` -
  `param` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.